Tech Tip: Resolving the Java JRE Certificate Issue (for users running on Spectrum r9.4 only)

Document created by sirha02 Employee on Oct 13, 2016Last modified by SamCreek on Dec 17, 2016
Version 6Show Document
  • View in full screen mode

To resolve the Java JRE Certificate issue which is set to expire on Oct 16, 2016 - you would either need to:


 a) upgrade Spectrum to 9.4.2.2 (or)
 b) upgrade Spectrum to 9.4.4 (or)

 c) add the OneClick URL in the Site Exception List
 

a) Upgrade Spectrum to 9.4.2.2:
 ==========================

 

1. The patch 9.4.2.2 consists only the Java JRE fix.
2. The patch needs to be applied on ALL SpectroSERVERs, OneClick Servers (in case you have a distributed environment)
3. The existing Java could be used with it - hence you do not have to upgrade the Java on the Client Machines from where the OneClick Console is accessed

4. You could download the patch 9.4.2.2 from the below link:

ftp://ftp.ca.com/CAproducts/CA-SPECTRUM/Updates/GA/Spectrum_09.04.02.02/

 

How to install Spectrum 9.4.2.2 patch?
================================
Please refer the below Patch release notes for more details:

ftp://ftp.ca.com/CAproducts/CA-SPECTRUM/Updates/GA/Spectrum_09.04.02.02/ReleaseNote.09.04.02.02.htm


b) Upgrade Spectrum to 9.4.4:
 ========================

 

1. The fix 9.4.4 contains the Java JRE fix along with many other fixes
2. The fix 9.4.4 needs to be applied on ALL SpectroSERVERs, OneClick Servers (in case you have a distributed environment)
3. The existing Java version cannot be used with it. You need to upgrade Java on All OneClick consoles to minimum Java version 8 update 92 on all client machines
4. You could download Spectrum 9.4.4 from the below link:

ftp://ftp.ca.com/CAproducts/CA-SPECTRUM/Updates/GA/Spectrum_09.04.04.00/

 

How to install Spectrum 9.4.4 fix?
============================
Please refer the below link for more details:

https://docops.ca.com/ca-spectrum/9-4-1-to-9-4-4/en/installing/upgrading-ca-spectrum

 

 

c) Add the OneClick URL in the Java Configuration Site Exception List:
==========================================================


In the event where you cannot upgrade the Spectrum to either 9.4.2.2 or 9.4.4, please follow the below procedure:

 

(a) Add the OneClick link in the Site Exception:

====================================

1. Click on Start > All Programs > Java > Configure Java
2. Click on the Security Tab > Click on Edit Site List...
3. A new Window under the name "Exception Site List" opens. Click on Add
4. Now type in your CA Spectrum OneClick Console URL, like http://<OC Server hostname>:<port number>
5. Click on Add
6. A new dialog box would open with a Security Warning - HTTP Location
7. Click on Continue
8. Click on OK
9. Click on Apply on the Java Control Panel

 

(b) Set “Perform signed code certificate revocation checks on” to “Do not check (not recommended)”:

=============================================================================

10. From the Java Control Panel, click on the Advanced Tab

11. Set “Perform signed code certificate revocation checks on” to “Do not check (not recommended)”

12. Click on Apply on the Java Control Panel

 

(c) Make a note of most recent Java version:

==================================

13. From the Java Control Panel, click on the Java tab > View

14. Make a note of the most recent version of Java installed

15. Click on OK to exit the Java Control Panel

 

(d) Add the most recent JRE version number:

===================================

1. In a browser, go to OneClick web page > Administration > OneClick Client Configuration

2. Add the most recent JRE version number into "Supported JRE Version" window

 

Our Suggestion:
=============

CA Technical Support would advise you to upgrade to Spectrum 9.4.4

2 people found this helpful

Attachments

    Outcomes